package com.zcloud.service.questionnaire;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：习题管理
 * 作者：luoxiaobao
 * 时间：2021-07-03
 * 官网：www.zcloudchina.com
 */
public interface SurveyService {

	/**通过试卷ID获取数据
	 * @param pd
	 * @throws Exception
	 */
//	PageData getSurvey(PageData pd) throws Exception;

	public List<PageData> getQuestions(PageData pd)throws Exception;

	public PageData findBycorpinfoId(PageData pd)throws Exception;

	public PageData findById(PageData pd)throws Exception;

	public void getstate(PageData pd)throws Exception;

}

